1 REM                 HORNGAIN
2 REM
3 REM    GIVEN THE DIMENSIONS OF A HORN ANTENNA , THIS PROGRAM WILL
4 REM    CALCULATE THE GAIN AT A GIVEN FREQUENCY OR OVER A RANGE OF
5 REM    GIVEN FREQUENCIES.
6 REM
7 REM    BY K5SXK AND WA5VJB
8 REM
9 INPUT " WOULD YOU LIKE EXPLANIATIONS ?  ( Y OR N ) ";Z$
10 IF Z$ = "Y" THEN GOTO 500
15 IF Z$ = "y" THEN GOTO 500
20 INPUT "H-PLANE APERTURE IN INCHES";A
40 INPUT "E-PLANE APERTURE IN INCHES";B
60 PRINT
80 INPUT "WAVE GUIDE H-PLANE IN INCHES ";X
100 INPUT "WAVE GUIDE E-PLANE IN INCHES ";Y
140 INPUT "SLANT LENGTH OF THE H-PLANE IN INCHES ";R1
160 INPUT "SLANT LENGTH OF THE E-PLANE IN INCHES ";R0
190 PRINT
200 INPUT "LOWEST FREQUENCY OF INTEREST IN MHZ ";F0
220 INPUT "HIGHEST FREQUENCY OF INTEREST IN MHZ ";F1
240 INPUT "DESIRED FREQUENCY STEPS IN MHZ";F2
250 PRINT
255 PRINT "********************"
260 PRINT " H-PLANE APERTURE = ";A;" INCHES"
262 PRINT " E-PLANE APERTURE = ";B;" INCHES"
264 PRINT
266 PRINT " W/G  H- PLANE    = ";X;" INCHES"
268 PRINT " W/G  E- PLANE    = ";Y;" INCHES"
270 PRINT
272 PRINT " H-PLANE SLANT LGT= ";R1;" INCHES"
274 PRINT " E-PLANE SLANT LGT= ";R0;" INCHES"
276 PRINT
278 PRINT "CALCULATED FROM ";F0;" MHz TO ";F1;" MHz"
280 PRINT "IN ";F2;" MHz STEPS"
282 PRINT "*********************"
290 PRINT " FREQUENCY     GAIN dBi"
300 FOR F = F0 TO F1 STEP F2
310 L = 11810/F
320 IF L/2 > X THEN 390
330 IF L/2 > A THEN 390
340 L1 = 16.31 * (B*(B-Y)/(8*L*R0)) ^  2.02
350 L2 = 5.55 * (A*(A-X) /(8*L*R1)) ^  1.7
360 G = 10 * (1.008 + (LOG((A * B)/L^2)/2.3026))- L1 - L2
370 PRINT F,G
380 GOTO 400
390 PRINT F, " FREQUENCY IS BEYOND CUTOFF"
400 NEXT F
410 PRINT
420 GOTO 190
430 END
500 PRINT
510 PRINT "                 )-----  H  -----(                         "
520 PRINT "                 _________________                         "
525 PRINT "                I                 I                        "
530 PRINT "                I                 I  E                     "
535 PRINT "                I_________________I                        "
540 PRINT
550 PRINT "
570 PRINT "                                                           "
580 FOR I = 1 TO 2000
581 NEXT I
590 PRINT
600 PRINT
610 PRINT "          YOU WILL NEED TO KNOW THE E AND H DIMENSIONS OF
620 PRINT "          BOTH THE HORN OPENING AND THE WAVE GUIDE (W/G)
630 PRINT "          OPENING."
640 FOR I = 1 TO 5000
641 NEXT I
650 PRINT
660 PRINT
670 PRINT "          YOU ALSO NEED THE LENGTH OF THE SIDES OF THE
680 PRINT "          HORN MEASURED ALONG THE E (SIDES) AND THE
690 PRINT "          H (TOP AND BOTTOM) PLANE                         "
700 PRINT
710 PRINT "                             /I                            "
720 PRINT "                            / I                            "
725 PRINT "                        S  /  I   S = DISTANCE ALONG       "
730 PRINT "                          /   I       THE SLANTED FACES    "
735 PRINT "                       [ ]    I       OF THE HORN          "
740 PRINT "                          \   I                            "
745 PRINT "                           \  I                            "
750 PRINT "                            \ I                            "
755 PRINT "                             \I                            "
760 PRINT
770 FOR I = 1 TO 5000
771 NEXT I
780 PRINT
790 PRINT "         FINIALLY YOU NEED TO SPECIFY THE FREQUENCY RANGE  "
800 PRINT "         YOU ARE INTERESTED IN, IN MHz.  THIS IS EXPRESSED "
810 PRINT "         IN AN UPPER FREQUENCY AND A LOWER FREQUENCY.      "
820 PRINT "         THE PROGRAM WILL THEN CALCULATE THE GAIN OVER     "
830 PRINT "         THIS FREQUENCY RANGE IN THE STEPS (TYP 100 MHz)   "
840 PRINT "         YOU SPECIFY.                                      "
850 REM  THE ORIGINAL HP PROGRAM BY K5SXK
860 REM  TRANSLATED TO IBM BASIC BY  WA5VJB
865 REM  10/17/86
870 PRINT
880 PRINT
890 PRINT
900 GOTO 20
