10 REM
20 REM VER 2.14PM
30 REM
40 REM Added Latest 45 Element Data WA3AXV 2/92
50 REM
60 DIM A(45)
70 DIM B(45)
80 DEF FNIN(X)=(INT(X*1000))/1000
90 CLS
100 REM KA1GT PARAMETIC LOOP YAGI DESIGN
110 REM CONVERTED TO IBM BASIC BY WA5VJB  11/15/84
120 REM Made more useful by WA3AXV 2/10/92
140 REM CHANGED TO MONOCHROME 6/17/92, KD6KD
150 A(1) = 3.1
160 A(2) = 4.05
170 A(3) = 5.17
180 A(4)= 6!
190 A(5) = 7.78
200 A(6) = 9.560001
210 A(7) = 10.81
220 A(8) = 13.12
230 FOR X = 1 TO 36
240 A(X+8) = 13.12+X*3.56
250 NEXT
260 INPUT "Loop Yagi FREQUENCY OF DESIGN IN MHZ";F
270 FC = 1296/F
280 RX=FNIN(FC*.5):RB1=FNIN(2.1*FC)
290 PRINT:PRINT "Boom must be greater than ";RX;" and Less Than ";RB1;" Inches"
300 RT=FNIN(FC*.028):RT1=FNIN(FC*.063)
310 PRINT:PRINT "Element Thickness Greater Than ";RT;" and Less Than ";RT1;" Inches"
320 RW=FNIN(FC*.1):RW1=FNIN(.375*FC)
330 PRINT:PRINT "Element Width Greater Than ";RW;" and less than ";RW1;" Inches"
340 FOR X = 1 TO 44
350 A(X) = A(X)*FC
360 NEXT
370 R1 = 9.67
380 DE = 9.229999
390 FOR X = 1 TO 11
400 B(X) = 8.25
410 NEXT
420 PRINT "":INPUT "28,39 or 45 ELEMENT VERSION ?";N
430 IF N = 28 THEN GOTO 470
440 IF N = 39 THEN GOTO 470
450 IF N=45 THEN GOTO 470
460 GOTO 420
470 FOR X = 12 TO 17
480 B(X) = 8
490 NEXT
500 IF N = 28 THEN GOSUB 1040
510 IF N = 39 THEN GOSUB 1110
520 IF N= 45 THEN GOSUB 1180
530 FOR X = 1 TO 42
540 B(X) = B(X) * FC
550 NEXT
560 R1 = R1 * FC
570 DE = DE * FC
580 INPUT "BOOM DIAMETER ?  INCHES" ;B
590 INPUT "ELEMENT WIDTH ?  INCHES" ;W
600 INPUT "ELEMENT THICKNESS ?  INCHES";T
610 B1 = B/FC
620 W1 = W/FC
630 T1 = T/FC
640 IF B1 < .5 THEN GOSUB 1280
650 IF B1 > 2.1 THEN GOSUB 1280
660 IF T1 < .028 THEN GOSUB 1310
670 IF T1 >.063 THEN GOSUB 1310
680 IF W1<.1 THEN GOSUB 1340
690 IF W1 > .375 THEN GOSUB 1340
700 PRINT:PRINT "Data will be printed on line printer.
710 PRINT:PRINT "Do you wish to continue 'Y' or 'N' - ? ";
720 A$=INKEY$:IF A$="" THEN 720
730 PRINT A$
740 IF A$="n" OR A$="N" THEN 90
750 PRINT"":PRINT "Stand-By for Data at Printer!"
780 B2 = ((B1-.5)+(B1-.5)^2)*2.88
790 FOR X = 1 TO (N-2)
800 B(X) = B(X) +(B(X)/100)*B2
810 NEXT
820 DE = DE+DE*B2/100
830 R1 = R1 + R1 *B2/100
840 W2 = (.1875-W1)*4.8
850 FOR X = 1 TO (N-2)
860 B(X) = B(X)+(B(X)/100)*W2
870 NEXT
880 DE =DE +  DE*W2/100
890 R1 = R1 + R1*W2/100
900 T2 = (T1-.028) *(.6/.031)
910 FOR X = 1 TO (N-2)
920 B(X) = B(X)+ ((B(X)/100)*T2)
930 NEXT
940 DE = DE + DE * T2/100
950 R1 = R1 + R1 *T2/100
960 RA = 4.5
970 RB = 5.5
980 RA = RA * FC
990 RB = RB * FC
1000 GOTO 1400
1010 REM
1020 REM 28 Element Lenght Data
1030 REM
1040 FOR X = 18 TO 25
1050 B(X)=8!
1060 NEXT
1070 RETURN
1080 REM
1090 REM 39 Element Lenght Data
1100 REM
1110 FOR X = 18 TO 36
1120 B(X) = 7.7
1130 NEXT
1140 RETURN
1150 REM
1160 REM 45 Element Lenght Data
1170 REM
1180 FOR X=18 TO 23
1190 B(X)=7.75
1200 NEXT
1210 FOR X=24 TO 35
1220 B(X)=7.65
1230 NEXT
1240 FOR X=36 TO 42
1250 B(X)=7.55
1260 NEXT
1270 RETURN
1280 PRINT:PRINT "BOOM DIAMETER IS OUTSIDE THE RANGE OF PARAMETRIC STUDY."
1290 PRINT "CALCULATIONS CONTINUE WITH EXTRAPOLATED DATA"
1300 RETURN
1310 PRINT:PRINT "MATERIAL THICKNESS IS OUTSIDE THE RANGE OF PARAMETRIC STUDY."
1320 PRINT "CALCULATIONS CONTINUE WITH EXTRAPOLATED DATA"
1330 RETURN
1340 PRINT:PRINT "ELEMENT WIDTH IS OUTSIDE THE RANGE OF PARAMETRIC STUDY."
1350 PRINT "CALCULATIONS CONTINUE WITH EXTRAPOLATED DATA"
1360 RETURN
1370 REM
1380 REM Line Printer Output
1390 REM
1400 LPRINT "Modified by WA3AXV 2/92"
1405 LPRINT ""
1410 LPRINT "               ";N;"ELEMENT LOOP YAGI FOR";F;"MHZ"
1420 LX=0
1430 LPRINT""
1440 LPRINT "Boom Must be Greater Than ";RX;" and Less Than ";RB1;" Inches"
1450 LPRINT "Element Thickness Greater Than ";RT;" and Less Than ";RT1;" Inches"
1460 LPRINT "Element Width Greater Than ";RW;" and Less Than ";RW1;" Inches"
1470 LPRINT ""
1480 LPRINT "BOOM DIAMETER ";B;" IN"
1490 LPRINT "ELEMENT WIDTH ";W;" IN"
1500 LPRINT "ELEMENT THICKNESS ";T;" IN"
1510 LPRINT "REFLECTING SCREEN (If Used) ";(INT(RA*1000))/1000;" X ";(INT(RB*1000))/1000
1520 LPRINT""
1530 LPRINT "ALL DIMENSIONS IN INCHES   ";DATE$
1540 LPRINT ""
1550 LPRINT "Element        Distance      Element       Element       Diameter"
1560 LPRINT "Number         From R2       Spacing       Lenght        Element"
1570 LPRINT""
1580 LPRINT "R2"," 0.000"," 0.000",FNIN(R1),FNIN(R1/3.14159)
1590 LPRINT "R1",FNIN(A(1)),FNIN(A(1)),FNIN(R1),FNIN(R1/3.14159)
1600 LPRINT "DE",FNIN(A(2)),FNIN(A(2)-A(1)),FNIN(DE),FNIN(DE/3.14159)
1610 LX=FNIN(A(2))
1620 FOR X = 1 TO N-3
1630 L = (INT(B(X)*1000))/1000
1640 L1 =(INT(A(X+2)*1000))/1000
1650 DIA=(INT((L/3.1415)*1000))/1000
1660 LX=L1-LX:LX=(INT(LX*1000))/1000
1670 LPRINT "D";X,L1,LX,L,DIA
1680 LX=L1
1690 NEXT
1700 PRINT "":PRINT "Run Program Again  - 'y' or 'n' ? ";
1710 B$=INKEY$: IF B$="" THEN 1710
1720 PRINT B$
1730 IF B$="y" OR B$="Y" THEN 90
1740 END
