10 REM EMI Calculations for Engineers
20 REM Written by R.J. Whitsel Nov. 1989 All Rights Reserved
30 REM Version 12/04/89 WA3AXV
40 DEF FNDBM(W)=10*((LOG(W/.001))/LOG(10))
50 KEY OFF:SCREEN 0:COLOR 15,1:CLS
60 FOR I=1 TO 10:PRINT:NEXT I
70 FLAG=0
80 PRINT SPC(24)"Naval Air Development Center":PRINT
90 PRINT SPC(19)"RF MAN'S EMI CALCULATIONS FOR ENGINEERS"
100 PRINT:PRINT SPC(33)"R.J. Whitsel"
110 PRINT:PRINT SPC(36)"WA3AXV"
120 FOR I=1 TO 20000:I=I+1:NEXT I
130 COLOR 15,1
140 CLS:FOR I=1 TO  5:PRINT:NEXT I
150 PRINT" This program will calculate either the level of a received signal when the"
160 PRINT" Electric Field is known, or the magnitude of the E-Field given the transmit"
170 PRINT" antenna gain and power level. Free Space Path Loss is assumed.":PRINT:
180 PRINT" Equivalent receive antenna area and aperture will be calculated if option"
190 PRINT" 'E' is chosen. Total path loss is also displayed.":PRINT
200 PRINT" 'R' = Received Signal (Given E-Field)"
210 PRINT" 'E' = E-Field (Given transmit power)"
220 PRINT" 'Q' = Quit Program"
230 PRINT:PRINT " Type 'R' or 'E' or 'Q'uit ?  " ;
240 C$=INKEY$:IF C$="" THEN 240
250 CLS
260 IF C$="E" OR C$="e" GOTO 720
270 IF C$="r" OR C$="R" GOTO 300
280 IF C$="q" OR C$="Q" THEN 930
290 GOTO 140
300 COLOR 14,15:CLS:PRINT
310 PRINT" E Field in V/M"CHR$(253)" ";:INPUT E
320 IF E<=0 THEN 310
330 COLOR 14,7
340 PRINT:INPUT" Frequency in gHz ";F
350 IF F<=0 THEN 340
360 INPUT" Receive Antenna gain in dBi ";G
370 INPUT" Cable loss (dB) ";CL
380 TL=G-CL
390 A=10^(TL/10)
400 L=.3/F
410 REC=(A*L*L*E*E)/4737.4
420 PRINT
430 COLOR 15,7:PRINT"      Received Signal = ";:PRINT USING "##.##^^^^";REC;:PRINT" Watts"
440 DBM=FNDBM(REC)
450 PRINT SPC(6)"Received Signal in dBm = ";:PRINT USING "+###.#";DBM;:PRINT" dBm"
460 RECV=(50*REC)^.5
470 IF RECV>.999 THEN 480 ELSE 490
480 PRINT SPC(6)"Received Signal in Volts (50 Ohm) = ";:PRINT USING "###.#";RECV;:PRINT " Volts":GOTO 540
490 IF RECV>.0001 THEN 500 ELSE 520
500 MILV=(RECV*1000)
510 PRINT SPC(6)"Received Signal in Milivolts = ";:PRINT USING "###.##";MILV ;:PRINT" mv":GOTO 540
520 MICROV=(RECV*10^6)
530 PRINT SPC(6)"Received Signal in Microvolts = ";:PRINT USING "###.###";MICROV;:PRINT " "CHR$(230)"v"
540 IF FLAG=0 THEN 650 ELSE 550
550 PDBM=FNDBM(PT)
560 PLOSS=PDBM-DBM+TL+GT
570 PRINT:PRINT"      Free Space Path Loss = ";:PRINT USING "###.#";PLOSS;:PRINT" dB"
580 AREA=((10^(G/10)*(L^2))/(4*3.1416))*1549.996
590 PRINT"      Receive Antenna Area = ";:PRINT USING "#####.#";AREA;:PRINT" in"CHR$(253)
600 DIA=((AREA/3.141595)^.5)*2
610 PRINT"      Antenna Aperture (Diameter) = ";:PRINT USING "###.##";DIA;:PRINT" ins"
620 LAM=(L/4)*39.37:B$=" ins":IF LAM>=36 THEN LAM=LAM/12:B$=" ft"
621 WL=L*100:T$=" cm"
622 IF WL>=100 THEN WL=L:T$=" m"
630 PRINT"      Wavelenght = ";:PRINT USING "###.#";WL;:PRINT T$;:PRINT"      "CHR$(172)" Wavelenght = ";:PRINT USING "###.##";LAM;:PRINT B$
640 FLAG=0
650 COLOR 1,7:PRINT
660 PRINT" 'Print Screen' for hard copy."
670 PRINT" Another Calculation (Y or N) ?";
680 H$=INKEY$:IF H$="" THEN 680
690 IF H$="y" OR H$="Y" THEN 130
700 IF H$="n" OR H$="N" THEN 930
710 GOTO 680
720 COLOR 1,7:CLS:PRINT:INPUT" Transmitter Output Power in Watts ";PT
730 IF PT<=0 THEN 720
740 INPUT" Transmitter Antenna Gain in dBi ";GT
750 INPUT" Transmitter Cable Loss in dB ";TL
760 INPUT" Distance from Transmit Antenna in Meters ";D
770 IF D<=0 THEN 760
780 GT=GT-TL
790 EF=((30*PT*10^(GT/10))/(D*D))^.5
800 PRINT:COLOR 15,7
810 PRINT"      E-Field at"D"Meters is ";:PRINT USING "#.##^^^^"; EF;:PRINT" V/M" CHR$(253)
820 IF D>1000 THEN 830 ELSE 860
830 M=D*6.214*10^-4
840 PRINT"      Distance in Miles = ";:PRINT USING "#####.#";M;:PRINT " Miles":PRINT
850 GOTO 880
860 DF=D*3.281
870 PRINT"      Distance in Feet = ";:PRINT USING "####.#";DF;:PRINT " Feet":PRINT
880 COLOR 14,7:PRINT " Received Signal Level for an antenna in this E Field ? (Y or N) ";
890 A$=INKEY$:IF A$="" THEN 890
900 IF A$="Y" OR A$="y" THEN E=EF:FLAG=1:GOTO 330
910 IF A$="n" OR A$="N" THEN 130
920 GOTO 890
930 COLOR 15,1:CLS:KEY ON:END
