1 SCREEN 9:X=15:Y=1:GOSUB 500
2 COLOR X,Y:CLS:PRINT:PRINT
3 REM ---- Original L-Band 1.0 to 3.5 GHz Modified 5/88 WA3AXV PC AT EGA -----
4 REM ************************************************************************
5 REM ** BY L.A. GERIG, R.R.#1, MONROEVILLE, IND  46773                     **
6 REM ** DOCUMENTATION HISTORY  JUL '85 & JAN '86 HAM RADIO MAGAZINE        **
7 REM **                        MAY '86 COMMUNICATIONS MAGAZINE             **
8 REM **                        AUG '86 RF DESIGN                           **
9 REM ************************************************************************
10 PRINT:PRINT TAB(20)"  VHF/UHF/L-BAND PROPAGATION PROGRAM"
12 PRINT:PRINT TAB(20)"            FOR THE IBM PC"
14 PRINT:PRINT TAB(20)"            V1.01 C 1986 BY"
16 PRINT:PRINT TAB(20)"             LYNN A. GERIG"
20 FOR J=1 TO 9:PRINT:NEXT
22 PRINT"TO CHANGE LETTER COLORS, INPUT L.
24 PRINT"TO CHANGE BACKGROUND COLOR, INPUT B.
26 PRINT"ANY OTHER INPUT WILL JUMP TO PROGRAM WITH THESE COLORS.
28 PRINT:INPUT"WHAT IS YOUR CHOICE";A$
30 IF A$="L" OR A$="l" THEN X=X+1:IF X=16 THEN X=1
32 IF A$="B" OR A$="b" THEN Y=Y+1:IF Y=16 THEN Y=1
34 IF A$="L" OR A$= "l" OR A$="b" OR A$="B" THEN 2
36 CLS:PRINT
50 PRINT"THIS PROGRAM CALCULATES EXPECTED RANGES FOR VHF (100-175 MHZ),"
52 PRINT"UHF (225-500 MHZ), AND L-BAND (.9-10 GHZ) FREQUENCIES.  APPROXIMATE"
56 PRINT"DYNAMIC RANGE IS FOR PATH LOSSES OF 125 TO 200 DB, COVERING MOST"
60 PRINT"APPLICATIONS FOR RECEIVER SENSITIVITY .5 TO 10 MICRO-VOLTS AND"
62 PRINT"TRANSMITTER POWER OF 1 TO 1000 WATTS.  THE PROGRAM COVERS ANTENNA"
64 PRINT"HEIGHTS FROM 25 FT TO 100,000 FT. (L-Band was 1 to 3.5 GHz )"
65 COLOR 4,Y
66 PRINT" ** Results above 3.5 GHz are not necessarily meaningful !! **"
67 COLOR X,Y
70 PRINT:PRINT"PROGRAM DEFAULTS TO RCVR SENS AND XMTR PWR IN DBM."
72 PRINT"WOULD YOU RATHER WORK WITH MICROVOLTS AND WATTS (Y=YES)";:INPUT D$
74 IF D$="y" THEN D$="Y"
80 PRINT:INPUT"WHAT IS DESIRED TITLE FOR HARDCOPY";T$
100 PRINT:INPUT"PRESS <V> FOR VHF, <U> FOR UHF, OR <L> FOR L-BAND";F$
102 IF F$="v" THEN F$="V"
104 IF F$="u" THEN F$="U"
106 IF F$="l" THEN F$="L"
108 IF F$="L" THEN GOSUB 4000:GOTO 200
114 IF F$="V" THEN GOSUB 2000:GOTO 200
116 IF F$="U" THEN GOSUB 3000:GOTO 200
118 IF F$="L" THEN GOSUB 4000:GOTO 200
120 GOTO 100
200 PRINT:GOSUB 600:REM SELECT FREQUENCY
205 PRINT:GOSUB 700:REM SELECT XMTR PWR & RCVR SENS
210 PRINT:GOSUB 900:REM SELECT ANTENNA GAINS
215 PRINT:GOSUB 800:REM SELECT ANTENNA HEIGHTS
300 CLS:IF F$<>"L" THEN PRINT F$;"HF PROPAGATION:  FREQ =";F;"MHZ"
301 IF F$="L" THEN PRINT"L-BAND PROPAGATION:  FREQ =";F;"MHZ"
302 PRINT:PRINT"TRANSMITTER POWER OUT:";PD;TAB(30);"DBM"
304 PRINT TAB(22);PW;TAB(30);"WATTS"
306 PRINT:PRINT"RECEIVER SENSITIVITY: ";RD;TAB(30);"DBM"
308 PRINT TAB(22);RM;TAB(30);"UV"
310 PRINT:PRINT"LOWER ANTENNA : ";GL;"DBI @";H1;"FT"
312 PRINT"UPPER ANTENNA : ";GU;"DBI @";H2;"FT"
314 PRINT:PRINT"COAXIAL LINE LOSSES : ";LL;"DB"
320 PL=PD-RD+GU+GL-LL
322 DF=PL-37-20*LOG(F)/LOG(10)
324 DF=10^(DF/20):DF=INT(DF+.5)
326 PRINT:PRINT PL;"DB PATH"
328 PRINT"FREE SPACE PATH =";DF;"MILES"
350 PL=PL-20*LOG(F/F1)/LOG(10):PRINT
352 IF PL<P1 THEN PRINT"RANGE NOT IN PROGRAM:  <";S1;"MILES"
354 IF PL<P1 THEN PRINT TAB(23);"<";D1;"(NAUT MI)"
356 IF PL>P5 THEN PRINT "RANGE NOT IN PROGRAM:  >";S5;"MILES"
358 IF PL>P5 THEN PRINT TAB(23);">";D5;"(NAUT MI)"
360 IF PL>=P1 AND PL<P2 THEN DN=D1+(D2-D1)*(PL-P1)/(P2-P1)
362 IF PL>=P2 AND PL<P3 THEN DN=D2+(D3-D2)*(PL-P2)/(P3-P2)
364 IF PL>=P3 AND PL<P4 THEN DN=D3+(D4-D3)*(PL-P3)/(P4-P3)
366 IF PL>=P4 AND PL<P5 THEN DN=D4+(D5-D4)*(PL-P4)/(P5-P4)
368 DS=INT(DN*1.151+.5):DN=INT(DN+.5)
370 PRINT"MAXIMUM EXPECTED RANGE: ";DS;"MILES"
372 PRINT TAB(24);DN;"(NAUT MI)"
400 PRINT:PRINT LL$
402 PRINT"G=MODIFY ANT GAINS            H=MODIFY ANT HEIGHTS"
406 PRINT"X=MODIFY R/T SENS/PWR         F=NEW FREQ (SAME BAND)"
410 PRINT"P=PRINTER DUMP                R=RUN AGAIN                     Q=QUIT"
412 INPUT "YOUR CHOICE";A$
414 PRINT:PRINT
415 IF A$="R" OR A$="r" THEN GOTO 80
418 IF A$="G" OR A$="g" THEN GOSUB 900
420 IF A$="H" OR A$="h" THEN GOSUB 800
422 IF A$="X" OR A$="x" THEN GOSUB 700
424 IF A$="F" OR A$="f" THEN GOSUB 600
426 IF A$="P" OR A$="p" THEN GOSUB 430
427 IF A$="q" OR A$="Q" THEN END
428 GOTO 300
430 REM SCFREEN DUMP TO PRINTER
432 LPRINT M$;LL$:LPRINT:LPRINT:LPRINT M$;"TITLE:  ";T$:LPRINT
433 IF F$<> "L" THEN LPRINT M$;F$"HF PROPAGATION:  FREQ ="F"MHZ
434 IF F$="L" THEN LPRINT M$;"L-BAND PROPAGATION:  FREQ ="F"MHZ
435 LPRINT:LPRINT M$;"TRANSMITTER POWER OUT:"PD;TAB(37);"DBM
436 LPRINT TAB(29);PW TAB(37)"WATTS"
438 LPRINT:LPRINT M$;"RECEIVER SENSITIVITY: "RD;TAB(37);"DBM
440 LPRINT TAB(29);RM TAB(37)"UV
442 LPRINT:LPRINT M$;"LOWER ANTENNA : "GL"DBI @"H1"FT
444 LPRINT M$;"UPPER ANTENNA:  "GU"DBI @"H2"FT
446 LPRINT:LPRINT M$;"COAXIAL LINE LOSSES: "LL"DB
448 LPRINT:LPRINT M$;PL"DB PATH
450 LPRINT:LPRINT M$;"FREE SPACE PATH ="DF"MILES":LPRINT
452 IF PL<P1 THEN LPRINT M$;"RANGE NOT IN PROGRAM: <"S1"MILES
454 IF PL<P1 THEN LPRINT TAB(30);"<"D1"(NAUT MI)"
456 IF PL>P5 THEN LPRINT M$;"RANGE NOT IN PROGRAM: >"S5"MILES
458 IF PL>P5 THEN LPRINT TAB(30);">"D5"(NAUT MI)"
460 IF PL<P1 OR PL>P5 THEN 474
470 LPRINT M$;"MAXIMUM EXPECTED RANGE:"DS"MILES
472 LPRINT TAB(31) ;DN"(NAUT MI)
474 LPRINT:LPRINT M$;LL$:LPRINT:LPRINT
476 RETURN
500 D$="N":DIM H$(15,15):DIM H(15)
502 H(1)=25:H(2)=50:H(3)=100:H(4)=500:H(5)=1000:H(6)=2000
504 H(7)=5000:H(8)=10000:H(9)=15000:H(10)=20000:H(11)=30000
506 H(12)=40000!:H(13)=60000!:H(14)=80000!:H(15)=100000!
508 LL$="---------------------------------------"
510 M$="       ":RETURN
600 PRINT"FREQUENCY IN MHZ (";FL;"-";FU;")";:INPUT F
602 IF F<FL OR F>FU THEN 600
604 RETURN
700 IF D$="Y" THEN INPUT"INPUT XMTR POWER (IN WATTS)";PW:GOTO 710
702 INPUT"INPUT XMTR POWER (IN DBM)";PD
704 PW=(PD-30)/10:PW=10^PW
706 IF PW>=1 THEN PW=INT(PW*10+.5)/10:GOTO 720
708 IF PW<1 THEN PW=INT(PW*1000+.5)/1000:GOTO 720
710 PD=10*LOG(PW)/LOG(10)+30:PD=INT(PD*10+.5)/10
720 IF D$="Y" THEN INPUT"RCVR SENSITIVITY (IN MICRO-VOLTS)";RM:GOTO 730
722 INPUT"RCVR SENSITIVITY (IN DBM)";RD
723 IF RD>0 THEN PRINT"<1 MW IS A NEGATIVE NUMBER":GOTO 722
725 RM=(RD+107)/20:RM=10^RM
726 IF RM>=1 THEN RM=INT(RM*10+.5)/10:GOTO 740
728 IF RM<1 THEN RM=INT(RM*100+.5)/100:GOTO 740
730 RD=20*LOG(RM)/LOG(10)-107:RD=INT(RD*10+.5)/10
740 RETURN
800 REM ANTENNA HEIGHTS
802 CLS:PRINT"CHOOSE ANTENNA HEIGHTS BY SELECTING"
804 PRINT"NUMBERS FROM THE FOLLOWING MENU":PRINT:PRINT
806 PRINT"1 =   25'    6 =   2000'   11 =  30000'"
808 PRINT"2 =   50'    7 =   5000'   12 =  40000'"
810 PRINT"3 =  100'    8 =  10000'   13 =  60000'"
812 PRINT"4 =  500'    9 =  15000'   14 =  80000'"
814 PRINT"5 = 1000'   10 =  20000'   15 = 100000'"
820 PRINT:PRINT
830 INPUT"SELECT HEIGHT OF LOWER ANTENNA";H1
832 INPUT"SELECT HEIGHT OF UPPER ANTENNA";H2
834 IF H1<1 OR H2<1 OR H1>15 OR H2>15 THEN PRINT"NOT IN MENU"
835 IF H1<1 OR H2<1 OR H1>15 OR H2>15 THEN GOTO 830
836 IF H1>H2 THEN PRINT"LOWER AND UPPER REVERSED"
837 IF H1>H2 THEN GOTO 830
840 H$=H$(H1,H2):H1=H(H1):H2=H(H2)
850 P1=VAL(MID$(H$,1,3)):D1=VAL(MID$(H$,4,3))
852 P2=VAL(MID$(H$,7,3)):D2=VAL(MID$(H$,10,3))
854 P3=VAL(MID$(H$,13,3)):D3=VAL(MID$(H$,16,3))
856 P4=VAL(MID$(H$,19,3)):D4=VAL(MID$(H$,22,3))
858 P5=VAL(MID$(H$,25,3)):D5=VAL(MID$(H$,28,3))
860 S1=INT(D1*1.151+.5)
862 S5=INT(D5*1.151+.5)
870 PRINT:PRINT:PRINT:PRINT:RETURN
900 INPUT"GAIN OF LOWER ANTENNA (IN DBI)";GL
902 INPUT"GAIN OF UPPER ANTENNA (IN DBI)";GU
904 INPUT"COAXIAL LINE LOSSES (IN DB)";LL
906 RETURN
2000 F1=125:FL=100:FU=175:REM VHF DATA
2005 H$( 1, 1)="140010160025170035176050225340"
2010 H$( 1, 2)="135010160030170046175065225360"
2015 H$( 1, 3)="130010160037170055175075225385"
2020 H$( 1, 4)="117010162060170075175100225405"
2025 H$( 1, 5)="113010165070169085173100225415"
2030 H$( 1, 6)="105010158080170100175120225425"
2035 H$( 1, 7)="100010140085170130177160218400"
2040 H$( 1, 8)="118060132100170165176180213400"
2045 H$( 1, 9)="125100150160175195185260210400"
2050 H$( 1,10)="126120145170165200175215215450"
2055 H$( 1,11)="130160150210177250186320210440"
2060 H$( 1,12)="128180150240177285188360210470"
2065 H$( 1,13)="128220145280178330188400210510"
2070 H$( 1,14)="132270150330177365189440210550"
2075 H$( 1,15)="132300150365178410189480210580"
2080 H$( 2, 2)="125010155030165045170060210300"
2085 H$( 2, 3)="120010150032165050175105210310"
2090 H$( 2, 4)="110010158060167080183180205300"
2095 H$( 2, 5)="105010160075168100180170207320"
2100 H$( 2, 6)="110030163090170120183200208340"
2105 H$( 2, 7)="115050133085162125168140210370"
2110 H$( 2, 8)="120090148140165160170175210400"
2115 H$( 2, 9)="125120150165170195180260210420"
2120 H$( 2,10)="125140140170171215185300210440"
2125 H$( 2,11)="130180145215171250182320205440"
2130 H$( 2,12)="130210150250173285185360211500"
2135 H$( 2,13)="130255150300174335187420206510"
2140 H$( 2,14)="130290150340173370190470208560"
2145 H$( 2,15)="135340150375174410185480208600"
2150 H$( 3, 3)="125015155045166065174120203280"
2155 H$( 3, 4)="115020152060163080177160203300"
2160 H$( 3, 5)="110020152070165100195260210355"
2165 H$( 3, 6)="110030150080164110195275209360"
2170 H$( 3, 7)="115060140100164135196300211400"
2175 H$( 3, 8)="125110158160167175184270204380"
2180 H$( 3, 9)="125130140160165195172220205410"
2185 H$( 3,10)="125150135170165215172240205430"
2190 H$( 3,11)="125185145220165250173280210500"
2195 H$( 3,12)="130220138240165280175320203480"
2200 H$( 3,13)="130270145300160320170340203520"
2205 H$( 3,14)="135320165370175400180440203560"
2210 H$( 3,15)="135355163400175435178460204600"
2215 H$( 4, 4)="110030150080159095165120204330"
2220 H$( 4, 5)="115045151090160110170155204340"
2225 H$( 4, 6)="116060155110161125176200204350"
2230 H$( 4, 7)="123100156145165165190295210420"
2235 H$( 4, 8)="125135157180165200195350210450"
2240 H$( 4, 9)="130170160210168235199400218500"
2245 H$( 4,10)="130190158225168260195400210495"
2250 H$( 4,11)="130225160260170295184375205485"
2255 H$( 4,12)="135260160294169220183400203500"
2260 H$( 4,13)="125180129300163350172380202540"
2265 H$( 4,14)="125180130340162385173420205600"
2270 H$( 4,15)="125180132380165430174460204620"
2275 H$( 5, 5)="116065144090155110165140203340"
2280 H$( 5, 6)="120080145110160135170180204360"
2285 H$( 5, 7)="125120145140158160165180203380"
2290 H$( 5, 8)="125150150180162200167215202400"
2295 H$( 5, 9)="125174150205160220165234201420"
2300 H$( 5,10)="127200150225159240166260200435"
2305 H$( 5,11)="129235155265160275165286202480"
2310 H$( 5,12)="125180128266160305167325201500"
2315 H$( 5,13)="125180130315157250168374200540"
2320 H$( 5,14)="128260131355150380168410203600"
2325 H$( 5,15)="128260132395160430170455199600"
2330 H$( 6, 6)="125100150130160150168180200350"
2335 H$( 6, 7)="122130149160160180170220200375"
2340 H$( 6, 8)="125166154200160210168240200405"
2345 H$( 6, 9)="125190150220160235168265200430"
2350 H$( 6,10)="126212150240160260167275200445"
2355 H$( 6,11)="129250153280163300170325200480"
2360 H$( 6,12)="125180129285150306166335200510"
2365 H$( 6,13)="125180130330155360168390205590"
2370 H$( 6,14)="127220131370155405169430205620"
2375 H$( 6,15)="127220132410155440168465200625"
2380 H$( 7, 7)="125165150195160210169240200400"
2385 H$( 7, 8)="125200143220157240166260200430"
2390 H$( 7, 9)="127225155260164280170300200460"
2395 H$( 7,10)="128250153280164300170320201480"
2400 H$( 7,11)="130285150310160325166340200510"
2405 H$( 7,12)="125180129315150340167370200535"
2410 H$( 7,13)="127230130365156395170425200580"
2415 H$( 7,14)="127230132405158440170465200620"
2420 H$( 7,15)="127230133445155470170500200650"
2425 H$( 8, 8)="129235155265163280168300200460"
2430 H$( 8, 9)="130260155290160300168320203500"
2435 H$( 8,10)="130280155310164330169350200505"
2440 H$( 8,11)="130320150340162360170385200540"
2445 H$( 8,12)="125180131350157380170410200565"
2450 H$( 8,13)="125180132395160435170460200605"
2455 H$( 8,14)="127230133440156470170500200650"
2460 H$( 8,15)="127230133475160510175555205720"
2465 H$( 9, 9)="130290145305157320166340200505"
2470 H$( 9,10)="130305155340165360170375205560"
2475 H$( 9,11)="130345156375167400175430205595"
2480 H$( 9,12)="125180131374155405170440200590"
2485 H$( 9,13)="127240132425159460170485201640"
2490 H$( 9,14)="130320133465160505170525200675"
2495 H$( 9,15)="130320133500160540175580200710"
2500 H$(10,10)="125180130330165380175415202560"
2505 H$(10,11)="125180132370155395170430205615"
2510 H$(10,12)="127230132395160435175475205640"
2515 H$(10,13)="129280133450155475172510201660"
2520 H$(10,14)="130300133490155515172550205725"
2525 H$(10,15)="130300134525165570178620205760"
2530 H$(11,11)="125180133400160440175480205650"
2535 H$(11,12)="130300133435155460172500205675"
2540 H$(11,13)="130300134485165530180580205725"
2545 H$(11,14)="130300135525160560175600205760"
2550 H$(11,15)="130300135560165605180655205800"
2555 H$(12,12)="130300133460163505175540205700"
2560 H$(12,13)="130300134515167560177600205750"
2565 H$(12,14)="130300135555165600178640210820"
2570 H$(12,15)="130300135590160625175660205825"
2575 H$(13,13)="130300135560162600175635200760"
2580 H$(13,14)="130300135605160635175675200805"
2585 H$(13,15)="130300136640161675177715200840"
2590 H$(14,14)="130300136645170700185760208900"
2595 H$(14,15)="130300137685162720177760210940"
2600 H$(15,15)="130300137720163760179800210980"
2610 RETURN
3000 F1=300:FL=225:FU=500:REM UHF DATA
3005 H$( 1, 1)="142010170030178050182100225315"
3010 H$( 1, 2)="136010150020170035178060220300"
3015 H$( 1, 3)="130010150025170045176060215275"
3020 H$( 1, 4)="125020168055176070185125210260"
3025 H$( 1, 5)="120020165065175080185135210270"
3030 H$( 1, 6)="127040145060170085177100215305"
3035 H$( 1, 7)="127060140080174120178130210305"
3040 H$( 1, 8)="126085140110176155180166200280"
3045 H$( 1, 9)="132120145145175180181190200300"
3050 H$( 1,10)="135145150170175195180210215400"
3055 H$( 1,11)="135175145200177235181245200355"
3060 H$( 1,12)="140220150235175265183280200380"
3065 H$( 1,13)="140260150285180320185330200430"
3070 H$( 1,14)="140300150325179360185370200465"
3075 H$( 1,15)="140333151360180395187410200500"
3080 H$( 2, 2)="132010155030166040175060215280"
3085 H$( 2, 3)="125010150030164045175070213280"
3090 H$( 2, 4)="120020165060170070175090210270"
3095 H$( 2, 5)="120030165070171080175096210280"
3100 H$( 2, 6)="120040137060167090173100210290"
3105 H$( 2, 7)="125070140090170125176135210320"
3110 H$( 2, 8)="131110140125170155178175205320"
3115 H$( 2, 9)="135135151160170180177190205340"
3120 H$( 2,10)="135160150180170205179220205360"
3125 H$( 2,11)="140200145210173240180255205400"
3130 H$( 2,12)="140230147240172270180285205425"
3135 H$( 2,13)="140275148290173320181335200445"
3140 H$( 2,14)="137308148330175365184380200480"
3145 H$( 2,15)="139350150370175395184420197500"
3150 H$( 3, 3)="120010140025160045170060205240"
3155 H$( 3, 4)="118020160060170075183140210280"
3160 H$( 3, 5)="120030160070167080173100205260"
3165 H$( 3, 6)="122050155080168100175120210300"
3170 H$( 3, 7)="130080155110170130175145210325"
3175 H$( 3, 8)="135120168160173170177180210360"
3180 H$( 3, 9)="132140166180175195180220210380"
3185 H$( 3,10)="132160145180165200177220210400"
3190 H$( 3,11)="135200150220170245177255215460"
3195 H$( 3,12)="135230150250173280180300210460"
3200 H$( 3,13)="138280150300172320180345210500"
3205 H$( 3,14)="139320150340170360180380210540"
3210 H$( 3,15)="140355155380172400180415210580"
3215 H$( 4, 4)="120040155070165085175115205265"
3220 H$( 4, 5)="125055153080167100175125210305"
3225 H$( 4, 6)="125072157100170120180160210315"
3230 H$( 4, 7)="128105160135170150178180210345"
3235 H$( 4, 8)="132145155165168180177200215400"
3240 H$( 4, 9)="135170158190172210180240210395"
3245 H$( 4,10)="135192165215175240180260210420"
3250 H$( 4,11)="135225165255175275180290210450"
3255 H$( 4,12)="138260160280172295180320215500"
3260 H$( 4,13)="140310155325170340180365210520"
3265 H$( 4,14)="140352160370171385180206210560"
3270 H$( 4,15)="140390154400170420180440210590"
3275 H$( 5, 5)="124065160100171120177140210310"
3280 H$( 5, 6)="127085160115170130178160206300"
3285 H$( 5, 7)="130115160144170160177180210350"
3290 H$( 5, 8)="132150155170168190176206210380"
3295 H$( 5, 9)="133175159200170215175230210400"
3300 H$( 5,10)="135200158220170235178260210425"
3305 H$( 5,11)="135232161260173280179300210455"
3310 H$( 5,12)="136265160290171305180330210485"
3315 H$( 5,13)="139320160340174360180380210530"
3320 H$( 5,14)="140360160380174400180415210560"
3325 H$( 5,15)="140394165420175436182455210600"
3330 H$( 6, 6)="128105149120166140176166210340"
3335 H$( 6, 7)="132135159160170175177195210360"
3340 H$( 6, 8)="134170156190171210178230211400"
3345 H$( 6, 9)="134195161220170232177250211420"
3350 H$( 6,10)="136220160240171255179280211440"
3355 H$( 6,11)="138254165280173295179315210470"
3360 H$( 6,12)="137285155300170315178340211500"
3365 H$( 6,13)="138330165360174375181395210540"
3370 H$( 6,14)="140375164400175415181430210580"
3375 H$( 6,15)="143415167440176455184480210610"
3380 H$( 7, 7)="132165165200175220180240205363"
3385 H$( 7, 8)="135205156220170240180270210420"
3390 H$( 7, 9)="136230160250170265180295210445"
3395 H$( 7,10)="130130135245165275176300210460"
3400 H$( 7,11)="131140137188168315178335210495"
3405 H$( 7,12)="133200138315165345180375210525"
3410 H$( 7,13)="133200139368170400182430212580"
3415 H$( 7,14)="135240140410170440180465210610"
3420 H$( 7,15)="135240140445165470180495210640"
3425 H$( 8, 8)="130140135235165260180300210450"
3430 H$( 8, 9)="130140136255165290177310210470"
3435 H$( 8,10)="130140137280165310178340205470"
3440 H$( 8,11)="130140138320165346178370210520"
3445 H$( 8,12)="135240138350168380179405210550"
3450 H$( 8,13)="135240139400170430180455210600"
3455 H$( 8,14)="135240140445170470180495210640"
3460 H$( 8,15)="137300141480170510182540210670"
3465 H$( 9, 9)="132160137286169320183360210500"
3470 H$( 9,10)="132160138310169340183380210515"
3475 H$( 9,11)="135240138347170380180405210550"
3480 H$( 9,12)="135240139375163400182440210575"
3485 H$( 9,13)="135240140425170460181485210620"
3490 H$( 9,14)="135240141465170500181525210660"
3495 H$( 9,15)="138340142505165530181560210695"
3500 H$(10,10)="135240138330167360180390210530"
3505 H$(10,11)="135240138370168400180425208560"
3510 H$(10,12)="135240139395170430182460210595"
3515 H$(10,13)="135240140446170480185520210640"
3520 H$(10,14)="137300141490170520180545210680"
3525 H$(10,15)="137300142525170555185595210715"
3530 H$(11,11)="135240140405165430180455210600"
3535 H$(11,12)="135240140430165460181490210630"
3540 H$(11,13)="137300141505172520183550210670"
3545 H$(11,14)="137300142528172560185590210715"
3550 H$(11,15)="138300143565170592185630210750"
3555 H$(12,12)="140400141465175505184530210660"
3560 H$(12,13)="140400142515172550187590210705"
3565 H$(12,14)="140400143555165580185620209740"
3570 H$(12,15)="140400143590175635188670210780"
3575 H$(13,13)="138360142565170595186630210755"
3580 H$(13,14)="138360143608170640185670210790"
3585 H$(13,15)="138360144645178690191730210830"
3590 H$(14,14)="140420143647170680185710210830"
3595 H$(14,15)="140420144686170715188755210870"
3600 H$(15,15)="140400145720170750190800210900"
3610 RETURN
4000 F1=1600:FL=900:FU=10000:REM L-BAND DATA
4005 H$( 1, 1)="140010175024190050200088224208"
4010 H$( 1, 2)="140012175028190057200092225212"
4015 H$( 1, 3)="140014175032190060200098225218"
4020 H$( 1, 4)="140030175045190070200106225225"
4025 H$( 1, 5)="140040175060190080200115225235"
4030 H$( 1, 6)="140056175072190092200128225248"
4035 H$( 1, 7)="145088180105190120200150230300"
4040 H$( 1, 8)="145120180140190150200180235360"
4045 H$( 1, 9)="150150180165190175200205235380"
4050 H$( 1,10)="141080148170185190200220235400"
4055 H$( 1,11)="141080149205185225200255235430"
4060 H$( 1,12)="144120151237185255200280235460"
4065 H$( 1,13)="144120153290185305200330235500"
4070 H$( 1,14)="144120154332185347200370235540"
4075 H$( 1,15)="148190155365185384200405235575"
4080 H$( 2, 2)="130009175030190060200095230240"
4085 H$( 2, 3)="130010175036190062200100230245"
4090 H$( 2, 4)="135027175052190078200110230258"
4095 H$( 2, 5)="135040175060190085200120230265"
4100 H$( 2, 6)="140060180080190100200135230275"
4105 H$( 2, 7)="135040142090180110195140230300"
4110 H$( 2, 8)="135040145125185150200190230332"
4115 H$( 2, 9)="139070146150180167195195235380"
4120 H$( 2,10)="142090148170185195200230235400"
4125 H$( 2,11)="145125150210185230200260235430"
4130 H$( 2,12)="145125150240185260200290235460"
4135 H$( 2,13)="145125152290185310200335235500"
4140 H$( 2,14)="145125153332185350200375235540"
4145 H$( 2,15)="145125155370185385201415235575"
4150 H$( 3, 3)="130015175040190065200105230250"
4155 H$( 3, 4)="135035175055190078200120230260"
4160 H$( 3, 5)="135045175065190086200126230270"
4165 H$( 3, 6)="138060175080190100200140235310"
4170 H$( 3, 7)="138060142095180115195140235335"
4175 H$( 3, 8)="138060145130180145195170235360"
4180 H$( 3, 9)="138060147155180173195195235385"
4185 H$( 3,10)="138060148175185200200235235405"
4190 H$( 3,11)="145130150212185235200265235440"
4195 H$( 3,12)="145130150245185265200295235460"
4200 H$( 3,13)="145130152295185315200340235505"
4205 H$( 3,14)="145130153340185355200380235545"
4210 H$( 3,15)="145130154375185390200415235580"
4215 H$( 4, 4)="135040136050175067195105235300"
4220 H$( 4, 5)="135040138060175075195115235305"
4225 H$( 4, 6)="135040140075180095198140235320"
4230 H$( 4, 7)="135040143105185133200175235340"
4235 H$( 4, 8)="140075147140185165200205235370"
4240 H$( 4, 9)="140075148170185190200225235390"
4245 H$( 4,10)="140075149190185215200245235410"
4250 H$( 4,11)="140075151230185250200280235445"
4255 H$( 4,12)="145140152260185280200305235470"
4260 H$( 4,13)="145140153308185330200355235520"
4265 H$( 4,14)="145140154350185370200395235555"
4270 H$( 4,15)="145140155390185405200415235585"
4275 H$( 5, 5)="135040140072180090195120235315"
4280 H$( 5, 6)="135040142090180110195140235325"
4285 H$( 5, 7)="135040145120180140195165235350"
4290 H$( 5, 8)="140072147160180170195195235380"
4295 H$( 5, 9)="140072148182180200195220235400"
4300 H$( 5,10)="140072149205185225200260235420"
4305 H$( 5,11)="145140151240185260200295235455"
4310 H$( 5,12)="145140152270185295200320235480"
4315 H$( 5,13)="145140154320185340200370235525"
4320 H$( 5,14)="145140155365185380200405235565"
4325 H$( 5,15)="145140156400185416200440235600"
4330 H$( 6, 6)="135040143105185130200170235340"
4335 H$( 6, 7)="135040146136185160200200235360"
4340 H$( 6, 8)="143105149172185190200225235395"
4345 H$( 6, 9)="143105150197185215200250235410"
4350 H$( 6,10)="143105151220185240200270235430"
4355 H$( 6,11)="143105151255185275200305235465"
4360 H$( 6,12)="145140153290185305200330235495"
4365 H$( 6,13)="145140155340185355200380235540"
4370 H$( 6,14)="145140155380185395200420235575"
4375 H$( 6,15)="145140157415190440205470235610"
4380 H$( 7, 7)="135040148170180185200220235385"
4385 H$( 7, 8)="145140150205185225200250235415"
4390 H$( 7, 9)="145140151230185250200280235435"
4395 H$( 7,10)="145140152250185270200300235455"
4400 H$( 7,11)="145140153290185305200335235490"
4405 H$( 7,12)="145140154320185335200360235520"
4410 H$( 7,13)="145140156370185385200410235560"
4415 H$( 7,14)="145140157410185425200450235600"
4420 H$( 7,15)="145140157450190470205500235640"
4425 H$( 8, 8)="145140152240185260200290235445"
4430 H$( 8, 9)="145140152265185285200310235470"
4435 H$( 8,10)="145140153285185305200335235490"
4440 H$( 8,11)="145140155325185340200370235520"
4445 H$( 8,12)="145140155355190380205410235550"
4450 H$( 8,13)="145140156405190425205460235600"
4455 H$( 8,14)="145140157450190470205500235640"
4460 H$( 8,15)="145140158485190505205540235670"
4465 H$( 9, 9)="145140153290185310200335235490"
4470 H$( 9,10)="145140154310185330200355235510"
4475 H$( 9,11)="145140155350185365200390235540"
4480 H$( 9,12)="145140156380185395200420235570"
4485 H$( 9,13)="145140157430190450205485235620"
4490 H$( 9,14)="145140158470190495205525235660"
4495 H$( 9,15)="145140159510190530205560235695"
4500 H$(10,10)="145140154330185350200375235525"
4505 H$(10,11)="145140156372185386200410235560"
4510 H$(10,12)="145140157400190425205455235590"
4515 H$(10,13)="145140157450190470205505235640"
4520 H$(10,14)="145140158494190510205545235675"
4525 H$(10,15)="145140159530190550205580235715"
4530 H$(11,11)="145140152300156406200445235600"
4535 H$(11,12)="145140152300157440200475235620"
4540 H$(11,13)="145140152300158486200525235675"
4545 H$(11,14)="145140152300159530200565235710"
4550 H$(11,15)="145140152300159570200600235740"
4555 H$(12,12)="145140152300157465200505235650"
4560 H$(12,13)="145140152300158520200550235700"
4565 H$(12,14)="145140152300159560200595235735"
4570 H$(12,15)="145140152300160600200630235770"
4575 H$(13,13)="145140152300159570200605235745"
4580 H$(13,14)="145140152300160610200645235785"
4585 H$(13,15)="145140152300160645200685235820"
4590 H$(14,14)="145140152300160650200690235820"
4595 H$(14,15)="145140152300161690200725235860"
4600 H$(15,15)="145140152300160725205770235900"
4610 RETURN
